Name: frostwire
Version: 6.3.6
Release: %mkrel 1

Summary: FrostWire Java Based Gnutella Client
Summary(de): FrostWire Java-basierter Gnutella Klient
Group: Networking/WWW
License: GPL
URL: http://www.frostwire.com/
Source: %{name}-%{version}.tar.xz
Source2: %{name}_icons.tar.xz
Requires: java >= 1.7
Requires: mplayer
BuildArch: noarch
BuildRoot: %{_tmppath}/%{name}-%{version}-root
Obsoletes: %name < %version
AutoReqProv: no

%description
FrostWire is a java gnutella P2P client.

#german
%description -l de
FrostWire ist ein Java-Gnutella-P2P-Client.

%prep

%setup -q 
unxz -c %{SOURCE2} | tar xf - -C $RPM_BUILD_DIR/%{name}-%{version}

%install
export DONT_STRIP=1
rm -rf %{buildroot}

mkdir -p %{buildroot}/%{_libdir}/%{name}
mkdir -p %buildroot/%_miconsdir \
	 %buildroot/%_iconsdir \
         %buildroot/%_datadir/pixmaps
#icons
install -m 644 frostwire-16.png %buildroot/%{_miconsdir}/%{name}.png
install -m 644 frostwire-32.png %buildroot/%{_iconsdir}/%{name}.png
install -m 644 frostwire-48.png %buildroot/%_datadir/pixmaps/%{name}.png

cp -af {*.jar,*.so,frostwire} %{buildroot}/%{_libdir}/%{name}/

#xdg menu
mkdir -p $RPM_BUILD_ROOT%{_datadir}/applications
cat > $RPM_BUILD_ROOT%{_datadir}/applications/%{name}.desktop << EOF
[Desktop Entry]
Encoding=UTF-8
Name=Frostwire
Comment=Gnutella Client
Comment[de]=Gnutella Klient
Exec=%{_bindir}/%{name}
Icon=%_datadir/pixmaps/%{name}.png
Terminal=false
Type=Application
StartupNotify=true
Categories=X-MandrivaLinux-Internet-FileTransfer;Network;
EOF

#make Excutable
mkdir -p %{buildroot}%{_bindir}
cat > $RPM_BUILD_ROOT%{_bindir}/%{name} << EOF
#!/bin/bash
export HOSTNAME=localhost
 %{_libdir}/frostwire/frostwire $1
EOF

chmod a+x $RPM_BUILD_ROOT%{_bindir}/%{name}


%clean
rm -rf %{buildroot}
rm -rf $RPM_BUILD_DIR

%files
%defattr(-,root,root,0755)
%doc changelog EULA.txt COPYING
%_bindir/frostwire
%{_miconsdir}/%{name}.png
%{_iconsdir}/%{name}.png
%{_libdir}/%{name}/*
%_datadir/pixmaps/%{name}.png
%{_datadir}/applications/%{name}.desktop

%changelog
* Fri Oct 07 2016 Ken <lxgator at gmail.com> 6.3.6-1pclos2016
- update

* Mon May 18 2015 bb <bb> 6.1.1-1pclos2015
- update 64bit only

* Wed Oct 08 2014 bb <bb> 5.7.7-1pclos2014
- update

* Wed Aug 13 2014 ghostbunny <ghostbunny at gmx dot de> 5.7.5-1pclos2014
- 5.7.5

* Mon May 26 2014 bb <bb> 5.7.3-1pclos2014
- 5.7.3

